## IdeHeaderBar IdeHeaderBar |

## Functions

GtkWidget * | ide_header_bar_new ()
void | ide_header_bar_add_primary ()
void | ide_header_bar_add_center_left ()
void | ide_header_bar_add_secondary ()
const gchar * | ide_header_bar_get_menu_id ()
void | ide_header_bar_set_menu_id ()
gboolean | ide_header_bar_get_show_fullscreen_button ()
void | ide_header_bar_set_show_fullscreen_button ()

## Properties

gchar * | menu-id | Read / Write
gboolean | show-fullscreen-button | Read / Write

## Types and Values

#define | IDE_TYPE_HEADER_BAR
struct | IdeHeaderBarClass
| IdeHeaderBar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkHeaderBar
                        ╰── IdeHeaderBar

## Implemented Interfaces

IdeHeaderBar implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### ide_header_bar_new ()

    GtkWidget *
    ide_header_bar_new (void);

### ide_header_bar_add_primary ()

    void
    ide_header_bar_add_primary (IdeHeaderBar *self,
                                GtkWidget *widget);

Adds a widget to the primary button section of the workspace header. This is the left, for LTR languages.

#### Parameters

self | a IdeHeaderBar |

Since: 3.32

### ide_header_bar_add_center_left ()

    void
    ide_header_bar_add_center_left (IdeHeaderBar *self,
                                    GtkWidget *widget);

### ide_header_bar_add_secondary ()

    void
    ide_header_bar_add_secondary (IdeHeaderBar *self,
                                  GtkWidget *widget);

Adds a widget to the secondary button section of the workspace header. This is the right, for LTR languages.

#### Parameters

self | a IdeHeaderBar |

Since: 3.32

### ide_header_bar_get_menu_id ()

    const gchar *
    ide_header_bar_get_menu_id (IdeHeaderBar *self);

Gets the menu-id to show in the workspace window.

#### Parameters

self | a IdeHeaderBar |

#### Returns

a string containing the menu-id, or `NULL`.

[nullable]

Since: 3.32

### ide_header_bar_set_menu_id ()

    void
    ide_header_bar_set_menu_id (IdeHeaderBar *self,
                                const gchar *menu_id);

Sets the menu-id to display in the window.

Set to `NULL` to hide the workspace menu.

#### Parameters

self | a IdeHeaderBar |

Since: 3.32

### ide_header_bar_get_show_fullscreen_button ()

    gboolean
    ide_header_bar_get_show_fullscreen_button
                                   (IdeHeaderBar *self);

Gets if the fullscreen button should be displayed in the header bar.

#### Parameters

self | a IdeHeaderBar |

#### Returns

`TRUE` if it should be displayed

Since: 3.32

### ide_header_bar_set_show_fullscreen_button ()

    void
    ide_header_bar_set_show_fullscreen_button
                                   (IdeHeaderBar *self,
                                    gboolean show_fullscreen_button);

Changes the visibility of the fullscreen button.

#### Parameters

self | a IdeHeaderBar |
show_fullscreen_button | if the fullscreen button should be displayed |

Since: 3.32

## Types and Values

### IDE_TYPE_HEADER_BAR

    #define IDE_TYPE_HEADER_BAR (ide_header_bar_get_type())

### struct IdeHeaderBarClass

    struct IdeHeaderBarClass {
      GtkHeaderBarClass parent_class;
    };

### IdeHeaderBar

    typedef struct _IdeHeaderBar IdeHeaderBar;

## Property Details

### The `“menu-id”` property

      “menu-id”                  gchar *

The id of the menu to display with the window.

Owner: IdeHeaderBar

Flags: Read / Write

Default value: NULL

### The `“show-fullscreen-button”` property

      “show-fullscreen-button”   gboolean

If the fullscreen button should be shown.

Owner: IdeHeaderBar

Flags: Read / Write

Default value: FALSE